Payments

Verified payment state

GET
/payments/{id}

Verified payment state.

Authorization

__Host-qm_session<token>

Session cookie set by sign-in on HTTPS deployments (the hosted demo).

In: cookie

Path Parameters

id*string

Resource id (UUID).

Formatuuid

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

curl -X GET "https://example.com/payments/0f8fad5b-d9cb-469f-a165-70867728950e"
{  "id": "string",  "intent_id": "string",  "purchase_order_id": "string",  "status": "CREATED",  "paypal_order_id": "string",  "paypal_capture_id": "string",  "amount_minor": 0,  "currency": "string",  "captured_amount_minor": 0,  "refunded_amount_minor": 0,  "failure_code": "string",  "failure_message": "string",  "created_at": "string",  "updated_at": "string",  "completed_at": "string"}